$text-danger: red;
$primary: #003061;
$primary-text-emphasis: aliceblue;
$secondary-subtle: #E8E8E8;
$light:     #003061;

@import "bootstrap/scss/bootstrap";
@import "bootstrap-icons/font/bootstrap-icons.css";
@import "ngx-toastr/toastr";

::-webkit-scrollbar {
  width: 0.9em;
  height: 0.9em;
}
::-webkit-scrollbar-track {
  background: #fff;
  border-radius: 100vw;
  margin-block: .5em;
}
::-webkit-scrollbar-thumb {
  background: #6c757d;
  border: 3px solid #fff;
  border-radius: 100vw;
}
::-webkit-scrollbar-thumb:hover {
  background: #adb5bd;
}
.wrapper {
  max-width: 1120px;
  margin: 0 auto;
  display: flex;
  // height: 100%;
}

.wrapper-content {
  width: 100%;
  margin: 50px 0 50px 50px;
  padding-right: 18px;
}

path,
circle {
  transition: all 0.247s ease;
}

ul {
  list-style-type: none;
}

a {
  text-decoration: none;
  color: #0b0b0b;
  cursor: pointer;
  transition: 0.2s;
}

a:hover {
  color: #6c757d;
}

input {
  box-shadow: none !important;
  transition: 0.3s !important;
}

.btn-primary, .btn-outline-primary {
  color: aliceblue;
  background-color: #003061;
  border: #003061;
}

.text-primary {
  color: #003061 !important;
}

.bg-primary {
  background-color: #003061 !important;
  border: #003061;
}

.input-invalid {
  border: 1px var(--bs-danger) solid !important;
}

input:focus {
  border-color: #adb5bd !important;
  box-shadow: 0px 0px 6px 0.2px #adb5bd !important;
}

input:hover {
  border-color: #adb5bd !important;
  box-shadow: 0px 0px 6px 0.2px #adb5bd !important;
}

.btn-close {
  box-shadow: none !important;
  transition: 0.3s;
}

.btn-close:hover {
  background-color: #e8e8e8;
  border-radius: 5px;
}

.btn-trash:hover {
  background-color: #e8e8e8;
  border-radius: 5px;
}

.btn-trash:active {
  background-color: #e8e8e8 !important;
  border: 1px solid #e8e8e8 !important;
  border-radius: 5px !important;
}

// Styles for input[type="file"]
input[type="file"] {
  opacity: 0;
  visibility: hidden;
  position: absolute;
}

.input-file {
  box-sizing: border-box;
  display: flex;
  width: 100%;
  margin-top: 0.3em;
  justify-content: space-between;
  align-items: center;
  padding: 8px 16px;
  border: 1px solid #f3f3f3;
  border-radius: 8px;
  transition: 0.3s;
  cursor: pointer;
}

.input-file:hover {
  box-shadow: 0px 0px 6px 0.2px #adb5bd;
}

.input-file:focus {
  box-shadow: 0px 0px 6px 0.2px #adb5bd;
}

.custom-clip {
  transform: rotate(45deg);
}
//  End

.eds-box {
  display: flex;
  align-items: center;
  font-weight: 400;
  font-size: 18px;
  line-height: 18px;
  margin-bottom: 0.7em;
}

.folder-key {
  width: 25px;
  height: 20.56px;
  margin-right: 0.7em;
  background-repeat: no-repeat;
  background-position: center;
  background-size: cover;
  background-image: url("data:image/svg+xml,%3Csvg xmlns='http://www.w3.org/2000/svg' width='18' height='16' fill='none'%3E%3Cpath stroke='%23000' stroke-linecap='round' stroke-linejoin='round' stroke-width='1.1' d='M17.333 6.333v3.334M1.166 1.333h5.148a.5.5 0 0 1 .325.12l2.637 2.26a.5.5 0 0 0 .325.12h7.232a.5.5 0 0 1 .5.5v2.334a.499.499 0 0 1-.5.5H1.166a.5.5 0 0 1-.5-.5V1.834a.5.5 0 0 1 .5-.5Z'/%3E%3Cpath stroke='%23000' stroke-linecap='round' stroke-linejoin='round' stroke-width='.8' d='M12.832 12.184a1.8 1.8 0 1 1 1.243.676h0l-.222.41-.576.17.17.575-.576.17.17.576-.96.283-.283-.96 1.034-1.9h0Z'/%3E%3Cpath stroke='%23000' stroke-linecap='round' stroke-linejoin='round' stroke-width='1.1' d='M.666 6.333v7.834a.5.5 0 0 0 .5.5h8.667'/%3E%3C/svg%3E");
}

.pagination {
  .page-link {
    color: #979797;
    border: none !important;
    width: 1.5em;
    border-radius: 20% !important;
    height: 1.5em;
    display: flex;
    align-items: center;
    justify-content: center;
  }

  .page-link:focus {
    box-shadow: none !important;
  }

  .active > .page-link {
    color: #0b0b0b !important;
    background-color: transparent !important;
    text-decoration: underline;
  }
}

input[type=text].ng-invalid.ng-touched,
input[type=password].ng-invalid.ng-touched {
  border: 1px solid var(--bs-danger)
}
